package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.PaymentMethodModel

interface PaymentMethodListInteractor {

    interface View {

        fun onGetPaymentMethodSucceed(paymentList: ArrayList<PaymentMethodModel>)
        fun onGetPaymentMethodFailed(error: VolleyError)
    }

    interface Presenter {

        fun onGetPaymentMethod()
    }
}